org.apache.storm.mongodb.trident.state

## Class MongoMapState<T>

- java.lang.Object
- - org.apache.storm.mongodb.trident.state.MongoMapState<T>

- All Implemented Interfaces:
    IBackingMap<T>

      public class MongoMapState<T>
      extends Object
      implements IBackingMap<T>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `MongoMapState.Factory`
    `static class` | `MongoMapState.Options<T>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MongoMapState(Map<String,Object> map, MongoMapState.Options options)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<T>` | `multiGet(List<List<Object>> keysList)`
    `void` | `multiPut(List<List<Object>> keysList, List<T> values)`
    `static StateFactory` | `nonTransactional()`
    `static StateFactory` | `nonTransactional(MongoMapState.Options<Object> opts)`
    `static StateFactory` | `opaque()`
    `static StateFactory` | `opaque(MongoMapState.Options<OpaqueValue> opts)`
    `static StateFactory` | `transactional()`
    `static StateFactory` | `transactional(MongoMapState.Options<TransactionalValue> opts)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoMapState

          protected MongoMapState(Map<String,Object> map,
                                  MongoMapState.Options options)

  - ### Method Detail

    - #### opaque

          public static StateFactory opaque()

    - #### opaque

          public static StateFactory opaque(MongoMapState.Options<OpaqueValue> opts)

    - #### transactional

          public static StateFactory transactional()

    - #### transactional

          public static StateFactory transactional(MongoMapState.Options<TransactionalValue> opts)

    - #### nonTransactional

          public static StateFactory nonTransactional()

    - #### nonTransactional

          public static StateFactory nonTransactional(MongoMapState.Options<Object> opts)

    - #### multiGet

          public List<T> multiGet(List<List<Object>> keysList)

      Specified by:
        `multiGet` in interface `IBackingMap<T>`

    - #### multiPut

          public void multiPut(List<List<Object>> keysList,
                               List<T> values)

      Specified by:
        `multiPut` in interface `IBackingMap<T>`

Copyright © 2019 The Apache Software Foundation. All rights reserved.